Subject: bug#76316: date: forgot the full day of the month name

From: Dan Jacobson <[email-masked]>
Date: Sun, 16 Feb 2025 16:09:44 +0800

All I know is in Chinese the months and days are like
一月一日 (1/1)
二月二日 (2/2)
and date(1) will allow me to print
一月 but not 一日
二月 but not 二日
probably because date allows two versions for months
1 or January
2 or February
but not days, because in English none is needed.
But that's not the case for Chinese.

>>>>> "PE" == Paul Eggert <[email-masked]> writes:
PE> Sorry, I don't understand the bug report. Are you asking for a new
PE> feature, or are you saying that currently GNU 'date' outputs incorrect
PE> strings for %A and/or %B? If the former, what new feature exactly? And

Yes the former.
But you need a linguistics expert to confirm what I'm saying.

PE> if the latter, what is the correct output?